Data Fields
_GtkIMHtml Struct Reference

## Data Fields
GtkTextView | text_view
GtkTextBuffer * | text_buffer
GdkCursor * | hand_cursor
GdkCursor * | arrow_cursor
GdkCursor * | text_cursor
GHashTable * | smiley_data
GtkSmileyTree * | default_smilies
char * | protocol_name
guint | scroll_src
GTimer * | scroll_time
GQueue * | animations
int | num_animations
gboolean | show_comments
GtkWidget * | tip_window
char * | tip
guint | tip_timer
GtkTextTag * | prelit_tag
GList * | scalables
GdkRectangle | old_rect
gchar * | search_string
gboolean | editable
GtkIMHtmlButtons | format_functions
gboolean | wbfo
gint | insert_offset
struct {
gboolean bold:1
gboolean italic:1
gboolean underline:1
gboolean strike:1
gchar * forecolor
gchar * backcolor
gchar * background
gchar * fontface
int fontsize
GtkTextTag * link
} | edit
char * | clipboard_text_string
char * | clipboard_html_string
GSList * | im_images
GtkIMHtmlFuncs * | funcs
GtkSourceUndoManager * | undo_manager

## Detailed Description

Definition at line 93 of file gtkimhtml.h.

## Field Documentation

## ◆ clipboard_html_string

char* _GtkIMHtml::clipboard_html_string

Deprecated:

Definition at line 142 of file gtkimhtml.h.

## ◆ clipboard_text_string

char* _GtkIMHtml::clipboard_text_string

Deprecated:

Definition at line 140 of file gtkimhtml.h.

The documentation for this struct was generated from the following file:

- gtkimhtml.h